Bug 255032 - net/gitup: branch of ports is erroneously "master" by default
Summary: net/gitup: branch of ports is erroneously "master" by default
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Nuno Teixeira
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-04-13 11:10 UTC by tomblack
Modified: 2021-04-17 01:59 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (eduardo)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description tomblack 2021-04-13 11:10:33 UTC
When I install the gitup from ports, I find the branch of ports is also "master" in /usr/local/etc/gitup.conf. So I can't update the ports through gitup default. When I change the "master" to "main" because of https://github.com/johnmehr/gitup/blob/main/gitup.conf , I solved this problem.

the default /usr/local/etc/gitup.conf is 

# $FreeBSD$
#
# Default configuration options for gitup.conf.
{
	"defaults" : {
		"host"           : "git.freebsd.org",
		"port"           : 443,
		"verbosity"      : 1,
		"work_directory" : "/var/db/gitup",
	},

	"ports" : {
		"host"       : "github.com",
		"repository" : "/freebsd/freebsd-ports.git",
		"branch"     : "master",
		"target"     : "/usr/ports",
		"ignores"    : [
			"distfiles",
			"packages",
		],
	},

	"quarterly" : {
		"host"       : "github.com",
		"repository" : "/freebsd/freebsd-ports.git",
		"branch"     : "quarterly",
		"target"     : "/usr/ports",
		"ignores"    : [
			"distfiles",
			"packages",
		]
	},

	"release" : {
		"repository" : "/src.git",
		"branch"     : "releng/11.4",
		"target"     : "/usr/src",
		"ignores"    : [
			"sys/amd64/conf",
			"sys/arm64/conf",
			"sys/i386/conf",
			"sys/pc98/conf",
			"sys/powerpc/conf",
			"sys/riscv/conf",
			"sys/sparc64/conf",
		]
	},

	"stable" : {
		"repository" : "/src.git",
		"branch"     : "stable/12",
		"target"     : "/usr/src",
		"ignores"    : [
			"sys/amd64/conf",
			"sys/arm64/conf",
			"sys/i386/conf",
			"sys/pc98/conf",
			"sys/powerpc/conf",
			"sys/riscv/conf",
			"sys/sparc64/conf",
		]
	},

	"current" : {
		"repository" : "/src.git",
		"branch"     : "main",
		"target"     : "/usr/src",
		"ignores"    : [
			"sys/amd64/conf",
			"sys/arm64/conf",
			"sys/i386/conf",
			"sys/pc98/conf",
			"sys/powerpc/conf",
			"sys/riscv/conf",
			"sys/sparc64/conf",
		]
	}
}
Comment 1 Nuno Teixeira freebsd_committer 2021-04-14 06:38:57 UTC
Hello!

I'm updating 0.90 gitup.conf to reflect move to git.freebsd.org.

Thanks
Comment 2 commit-hook freebsd_committer 2021-04-17 01:51:07 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=b49cca2e93f01997b8b3a1b667bcce5698ddaa28

commit b49cca2e93f01997b8b3a1b667bcce5698ddaa28
Author:     Nuno Teixeira <eduardo@FreeBSD.org>
AuthorDate: 2021-04-16 06:08:05 +0000
Commit:     Nuno Teixeira <eduardo@FreeBSD.org>
CommitDate: 2021-04-17 01:50:38 +0000

    net/gitup: move ports to git.freebsd.org

    Update gitup.conf to reflect that ports main and quarterly moved to
    git.freebsd.org

    PR:             255032
    Reported by:    tomblack <tomblackwhite@outlook.com>
    Approved by:    garga (mentor)
    Differential Revision:  <https://reviews.freebsd.org/D29767

 net/gitup/Makefile                     |  2 +-
 net/gitup/files/patch-gitup.conf (new) | 26 ++++++++++++++++++++++++++
 2 files changed, 27 insertions(+), 1 deletion(-)
Comment 3 Nuno Teixeira freebsd_committer 2021-04-17 01:59:15 UTC
Committed thanks!